Slony-I 2.2.10 Documentation
Prev | Fast Backward | Chapter 8. Schema schemadoc | Fast Forward | Next

# 8.33. checkmoduleversion()

Function Properties

Language: PLPGSQL

Return Type: text

Inline test function that verifies that slonik request for STORE NODE/INIT CLUSTER is being run against a conformant set of schema/functions.

    declare
      moduleversion	text;
    begin
      select into moduleversion getModuleVersion();
      if moduleversion <> '@MODULEVERSION@' then
          raise exception 'Slonik version: @MODULEVERSION@ != Slony-I version in PG build %',
                 moduleversion;
      end if;
      return null;
    end;

Prev | Home | Next
check_unconfirmed_log() | Up | cleanupevent(p_interval interval)